<template>
  <div
    class="flex justify-center items-center w-full h-full overflow-y-auto"
    :class="backgroundColorClass"
  >
  <slot name="centered-content" />
  </div>
</template>

<script setup>
import { defineProps } from 'vue'

const props = defineProps({
  backgroundColorClass: { type: String, default: "" }
});
</script>